/********************************************************************************************
 This sketch demonstrates how sleep function using external interrupt to wake up the MCU.
 This sketch work only "Seeeduino XIAO" boards.

 Attach the switch to the D4 pin by pulling down resistor.
 Note: Sketch cannot be written while the MCU is saving power.
*********************************************************************************************/



#include <SavePowerXIAO.h>

SavePowerXIAO nrgSave;

unsigned int i=0;

void setup()
{
  nrgSave.begin(WAKE_EXT_INTERRUPT, 4, dummy);  //standby setup for external interrupts
}

void loop()
{
  for(i=0; i<20; i++)
  {
    digitalWrite(13,LOW);  // LED lights(ON)
    delay(500);
    digitalWrite(13,HIGH); // LED off
    delay(500);
  }

  nrgSave.standby();  //now mcu goes in standby mode
}


void dummy(void)  //interrupt routine (isn't necessary to execute any tasks in this routine
{

}
